org.springframework.cache.interceptor

## Class CacheEvictOperation

- java.lang.Object
- - org.springframework.cache.interceptor.CacheOperation
  - - org.springframework.cache.interceptor.CacheEvictOperation

    public class CacheEvictOperation
    extends CacheOperation

Class describing a cache 'evict' operation.

Since:
  3.1
Author:
  Costin Leau

### Constructor Summary

Constructors
Constructor and Description
`CacheEvictOperation()`

### Method Summary

Methods
`protected StringBuilder` `getOperationDescription()` Return an identifying description for this caching operation.
`boolean` `isBeforeInvocation()`
`boolean` `isCacheWide()`
`void` `setBeforeInvocation(boolean beforeInvocation)`
`void` `setCacheWide(boolean cacheWide)`

### Methods inherited from class org.springframework.cache.interceptor.CacheOperation

`equals, getCacheNames, getCondition, getKey, getName, hashCode, setCacheName, setCacheNames, setCondition, setKey, setName, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheEvictOperation

    public CacheEvictOperation()

### Method Detail

#### setCacheWide

    public void setCacheWide(boolean cacheWide)

#### isCacheWide

    public boolean isCacheWide()

#### setBeforeInvocation

    public void setBeforeInvocation(boolean beforeInvocation)

#### isBeforeInvocation

    public boolean isBeforeInvocation()

#### getOperationDescription

    protected StringBuilder getOperationDescription()

Description copied from class: `CacheOperation`
Return an identifying description for this caching operation.

Available to subclasses, for inclusion in their `toString()` result.

Overrides:
  `getOperationDescription` in class `CacheOperation`